Skip to content

V1.0

AI-powered hair density detection features for analysis.

Run an AI Hair Density Detection task.

Request

Polling is required to check the status of the task. Refer to polling guide for details.

Security
BearerAuthenticationV2
Bodyapplication/jsonrequired
Any of:
src_file_urlstringrequired

Url of the file to run task. The url should be publicly accessible.

Example:"https://example.com/selfie.jpg"
POST
/s2s/v2.0/task/hair-density-detection
curl -i -X POST \
  https://yce-api-01.makeupar.com/s2s/v2.0/task/hair-density-detection \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "src_file_url": "https://example.com/selfie.jpg"
  }'

Responses

Successful execution of the task

Bodyapplication/json
statusinteger

Response status

Example:200
dataobject
Response
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }